#!/bin/ksh

# Script to exclude ACL definitinos from an ldif stream
#
# Input: standard input device containing ldif data
# Output: standard output device contains ldif without ACLs

if [ `uname` = "SunOS" ];then
	AWK=nawk
else
	AWK=awk
fi

$AWK '{

while ($1 == "aclentry:" || $1 == "aclpropagate:" ||
	$1 == "entryowner:" || $1 == "ownerpropagate:" ||
	$1 == "aclsource:" || $1 == "ownersource:"){

	getline
	while (substr($0,1,1) == " " && $1 != ""){
		getline
	}
}

print $0

}'


