
# lists information about the tablespaces
db2 "select tbspace,tbspaceid,bufferpoolid,pagesize from syscat.tablespaces"

# lists information about the bufferpools
db2 "select bufferpoolid,bpname,npages,pagesize from syscat.bufferpools"

# creates a new bufferpool
db2 create bufferpool tempspace1_bp size 2000 pagesize 4096

# Assigns a buffer pool to a tablespace
db2 alter tablespace tempspace1 bufferpool tempspace1_bp

# increases the bufferpool to use 584 MB of memory
db2 alter bufferpool tempspace1_bp size 149400

